     jmp  k_start

     include \nxdos\src\kernel\ident.inc
     include \nxdos\src\kernel\kernel.inc

k_start:

; ===========================================================================
main proc far
; ===========================================================================
k_init:
     kstacks
     call segcheck           ; CF=TRUE on error
     call crash
     mov  byte ptr cs:[bootdrive], dl
     save_ss

     ; display welcome message
     _print startup_msg, 1
     _newline

     ; initialize system
     call SysInit

     ; information screen
     call about

     ; start the console
     call console

nxdos_exit:
     mov  al, cs:errorlevel
     call exit
     ret
main endp

k_data:

     include \nxdos\src\kernel\dataseg.inc

EndOfInitCode  equ $
; pEndOfInitCode equ (($+PARAGRAPH-1)/PARAGRAPH)
